Summary: A compact getty program for virtual consoles only.
Name: mingetty
Version: 0.9.4
Copyright: GPL
Release: 1.0.2
Group: System Environment/Base
Source0: ftp://jurix.jura.uni-sb.de/pub/linux/source/system/daemons/mingetty-0.9.4.tar.gz
Patch0: mingetty-0.9.4-make.patch
Patch1: mingetty-0.9.4-glibc.patch
Patch2: mingetty-0.9.4-isprint.patch
Patch3: mingetty-0.9.4-wtmplock.patch
BuildRoot: /var/tmp/mingetty-root

%description
The mingetty program is a lightweight, minimalist getty program for
use only on virtual consoles.  Mingetty is not suitable for serial
lines (you should use the mgetty program in that case).

%prep
%setup -q
%patch0 -p0 -b .make
%patch1 -p1 -b .glibc
%patch2 -p1 -b .isprint
%patch3 -p1 -b .wtmplock

%build
make "RPM_OPTS=$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8

install -m 0755 -s mingetty $RPM_BUILD_ROOT/sbin/
install -m 0644 mingetty.8 $RPM_BUILD_ROOT/%{_mandir}/man8/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ANNOUNCE COPYING TODO
%attr(0750,root,root)	/sbin/mingetty
%doc %{_mandir}/man8/mingetty.*

%changelog
* Mon Jul 24 2000 Pete O'Hara <pete@guardiandigital.com>
- removed world access to mingetty for Guardian
	Digital Linux Lockbox
